Bug 242220 - devel/pear-channel-phpunit is obsolete
Summary: devel/pear-channel-phpunit is obsolete
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-25 10:36 UTC by Marc Veldman
Modified: 2020-07-09 17:51 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Proposed patch (4.05 KB, patch)
2020-04-07 09:25 UTC, Marc Veldman
no flags Details | Diff
Patch to remove phpunit pear channel, remove references to it in other ports. (7.02 KB, patch)
2020-06-08 12:49 UTC, Marc Veldman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Veldman 2019-11-25 10:36:43 UTC
The pear.phpunit.de PEAR channel has been retired.
See:

https://github.com/sebastianbergmann/phpunit/wiki/End-of-Life-for-PEAR-Installation-Method

Should this port be removed?
Comment 1 Marc Veldman 2020-04-07 09:25:13 UTC
Created attachment 213149 [details]
Proposed patch

Proposed patch. I hope this is more or less correct.
It is my first patch removing a port.
Comment 2 Jochen Neumeister freebsd_committer 2020-04-07 13:02:28 UTC
give PR to the new Maintainer of this Port
Comment 3 Kurt Jaeger freebsd_committer 2020-06-07 17:02:29 UTC
have you checked if other ports depend on that one ?(In reply to Marc Veldman from comment #1)
Comment 4 Kurt Jaeger freebsd_committer 2020-06-07 17:33:54 UTC
grep -Rl 'devel/pear-channel-phpunit' [a-ce-z]* d[a-hj-z]*

lists only devel/pear-channel-phpunit itself.
Comment 5 commit-hook freebsd_committer 2020-06-07 17:39:59 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  7 17:39:29 UTC 2020
New revision: 538178
URL: https://svnweb.freebsd.org/changeset/ports/538178

Log:
  devel/pear-channel-phpunit: remove, it is obsolete

  - The pear.phpunit.de PEAR channel has been retired. See:
    https://github.com/sebastianbergmann/phpunit/wiki/End-of-Life-for-PEAR-Installation-Method

  PR:		242220
  Submitted by:	Marc Veldman <marc@bumblingdork.com>
  Approved by:	miwi (maintainer timeout)

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/pear-channel-phpunit/
Comment 6 Kurt Jaeger freebsd_committer 2020-06-07 17:40:24 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2020-06-07 18:29:41 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  7 18:29:12 UTC 2020
New revision: 538183
URL: https://svnweb.freebsd.org/changeset/ports/538183

Log:
  Revert removal of devel/pear-channel-phpunit, some port still depends on it

  PR:		242220

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/pear-channel-phpunit/
Comment 8 Marc Veldman 2020-06-07 18:31:15 UTC
I'm curious, which port still depends on it?
Comment 9 Kurt Jaeger freebsd_committer 2020-06-07 18:32:27 UTC
Turns out:

devel/pear-File_Iterator

still depends on it and my search was not finding that, because:

devel/pear-File_Iterator/Makefile

has this:

PEAR_CHANNEL=   phpunit
Comment 10 Kurt Jaeger freebsd_committer 2020-06-07 18:32:50 UTC
Find other depends...
Comment 11 Kurt Jaeger freebsd_committer 2020-06-07 18:33:54 UTC
Those ports still depend on it:

textproc/pear-Text_Template/Makefile:PEAR_CHANNEL=      phpunit
devel/pear-SebastianBergmann_PHPLOC/Makefile:PEAR_CHANNEL=      phpunit
devel/pear-File_Iterator/Makefile:PEAR_CHANNEL= phpunit
devel/pear-SebastianBergmann_Version/Makefile:PEAR_CHANNEL=     phpunit
devel/pear-SebastianBergmann_FinderFacade/Makefile:PEAR_CHANNEL=        phpunit
devel/pear-PHP_CodeCoverage/Makefile:PEAR_CHANNEL=      phpunit
devel/pear-SebastianBergmann_PHPCPD/Makefile:PEAR_CHANNEL=      phpunit
Comment 12 Marc Veldman 2020-06-08 12:49:55 UTC
Created attachment 215357 [details]
Patch to remove phpunit pear channel, remove references to it in other ports.

This removes references to phpunit channel in other ports.
The other ports still install, mostly because they don't
use pear for installation anymore.
Comment 13 commit-hook freebsd_committer 2020-07-09 17:50:35 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul  9 17:49:33 UTC 2020
New revision: 541764
URL: https://svnweb.freebsd.org/changeset/ports/541764

Log:
  remove obsolete port devel/pear-channel-phpunit [1]

  textproc/pear-Text_Template:
  - Update to 2.0.2
  - switch to GH

  PR:		242220 [1]
  Submitted by:	Marc Veldman <marc@bumblingdork.com> [1]
  Approved by:	miwi (maintainer timeout)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/pear-File_Iterator/Makefile
  head/devel/pear-PHP_CodeCoverage/Makefile
  head/devel/pear-SebastianBergmann_FinderFacade/Makefile
  head/devel/pear-SebastianBergmann_PHPCPD/Makefile
  head/devel/pear-SebastianBergmann_PHPLOC/Makefile
  head/devel/pear-SebastianBergmann_Version/Makefile
  head/devel/pear-channel-phpunit/
  head/textproc/pear-Text_Template/Makefile
  head/textproc/pear-Text_Template/distinfo